Subject: bug#23979: [ER] guix gc should tell how much space it recovered

From: [email-masked] (Ludovic Courtès)
Date: Fri, 15 Jul 2016 19:06:27 +0200

Andreas Enge <[email-masked]> skribis:

> On Fri, Jul 15, 2016 at 04:33:46PM +0200, Ludovic Courtès wrote:
>> This code calls the ‘collect-garbage’ procedure, defined in (guix
>> store).  You’ll see that this procedure returns two values, which are
>> currently ignored: the name of the items that were removed from the
>> store, and the number of bytes freed.
>
> Brutto or netto? Otherwise said, does it take into account the hardlinks
> used for deduplication, or does it pretend that every deleted file saves
> as much memory as its size indicates?

The latter, I think.  The actual computation is done by the daemon, in
libstore/gc.cc.

Ludo’.